import type { UnitTypeLongPlural } from "dayjs";
declare type ExcludedKeys = "milliseconds" | "dates" | "years" | "months";
declare type DiffKey = Exclude<UnitTypeLongPlural, ExcludedKeys>;
declare type Diff = Record<DiffKey, string | undefined>;
declare const useCountdown: (deadline: Date | string | number | undefined, excludedKeys?: DiffKey[] | undefined, compact?: boolean | undefined) => Diff;
export { useCountdown };
